package org.artifactory.work.queue.mbean;

public abstract class DefaultWorkQueueMBean implements WorkQueueMBean {

    private final WorkQueueMBean workQueue;

    public DefaultWorkQueueMBean(WorkQueueMBean workQueue) {
        this.workQueue = workQueue;
    }

    @Override
    public int getQueueSize() {
        return workQueue.getQueueSize();
    }

    @Override
    public int getNumberOfWorkers() {
        return workQueue.getNumberOfWorkers();
    }

    @Override
    public int getMaxNumberOfWorkers() {
        return workQueue.getMaxNumberOfWorkers();
    }

    @Override
    public String getName() {
        return workQueue.getName();
    }
}
