package org.artifactory.storage.service;

import org.artifactory.storage.binstore.service.InternalBinaryService;
import org.artifactory.test.ArtifactoryHomeBoundTest;
import org.mockito.Mock;
import org.mockito.MockitoAnnotations;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import static org.mockito.Mockito.when;
import static org.testng.Assert.assertEquals;

public class StorageMetricCollectorImplTest extends ArtifactoryHomeBoundTest {
    @Mock
    private InternalBinaryService binaryService;

    @BeforeClass
    public void beforeClass() {
        MockitoAnnotations.initMocks(this);
        when(binaryService.getStorageSize()).thenReturn(48L);
    }

    @Test
    public void happyFlow() {
        StorageMetricCollectorImpl storageMetricCollector = new StorageMetricCollectorImpl(binaryService);

        storageMetricCollector.update();
        StorageMetric metric = storageMetricCollector.get();

        assertEquals(metric.getStorageSize(), 48L);
    }
}